.CategoryPage {
    @include mobile {
        margin-top: 0;
    }

    &-Wrapper {
        @include after-mobile {
            display: block;
            padding-top: 0;
        }

        @include mobile {
            padding: 0 1rem;
        }
    }

    &-Miscellaneous {
        min-height: unset;

        @include mobile {
            width: auto;
            border: none;
            position: relative;
            top: 7px;
            float: left;
            clear: both;
            z-index: 1;
        }
    }

    &-Bottom_background_Grey {
        background-color: $grey-5-color;

        .ContentWrapper {
            padding: 5rem 40px 12rem;

            @include mobile {
                padding: 31px 16px;
            }
        }
    }

    &-Filter {
        font-size: 14px;
        font-weight: normal;
        text-transform: none;

        @include mobile {
            padding-right: 0;
        }

        @include after-mobile {
            display: none;
        }

        &::before,
        &::after {
            clip-path: none;
        }

        &::before {
            width: 24px;
            height: 22px;
            padding-right: 0.5em;
            position: relative;
            top: 8px;
            content: url('../../style/images/filter.svg');
        }

        &::after {
            display: none;
        }
    }

    &-ProductListWrapper {
        @include mobile {
            padding-top: 0;
        }
    }

    &-ItemsCount {
        padding: 0;
        white-space: nowrap;

        @include mobile {
            font-size: 14px;
        }
    }

    &-DetailsWrapper {
        display: flex;
        margin-bottom: 22px;
        align-items: flex-end;

        @include mobile {
            margin-bottom: 10px;
            justify-content: space-between;
        }
    }
    .CategoryProductList {
        @include mobile {
            &-GridSwitcher {
                padding-top: 0.6em;
                float: right;
            }
            &-Page {
                overflow: hidden;
                width: 100%;
                padding-top: 1em;
                margin-top: 0.5em;
            }
        }
    }
}

.prm {
    .CategoryPage {
        &-ItemsCount {
            font-size: 14px;
            font-weight: 500;
        }
    }
}
